# Magento 2 SEO Extension FREE 

**Mageplaza SEO for Magento 2** is a bundle of outstanding features that are auto-active when you install it from Mageplaza without any code modifications. It is also friendly with your store if you need to insert meta keywords and meta descriptions for your product. It will do perfectly for your better SEO.

[![Latest Stable Version](https://poser.pugx.org/mageplaza/magento-2-seo-extension/v/stable)](https://packagist.org/packages/mageplaza/magento-2-seo-extension)
[![Total Downloads](https://poser.pugx.org/mageplaza/magento-2-seo-extension/downloads)](https://packagist.org/packages/mageplaza/magento-2-seo-extension)

## 1. Documentation

- Installation guide: https://www.mageplaza.com/install-magento-2-extension/
- User Guide: https://docs.mageplaza.com/seo-m2/
- Download from our Live site: https://www.mageplaza.com/magento-2-seo-extension/
- Get Support: https://github.com/mageplaza/magento-2-seo/issues
- Contribute on Github: https://github.com/mageplaza/magento-2-seo
- Changelog: https://www.mageplaza.com/changelog/m2-seo.txt



## 2. FAQs

#### Q: I got error: `Mageplaza_Core has been already defined`
A: Read solution: https://github.com/mageplaza/module-core/issues/3

#### Q: My site is down
A: Please follow this guide: https://www.mageplaza.com/blog/magento-site-down.html


## 3. How to install

### Install via composer (recommend)

Run the following command in Magento 2 root folder

```
composer require mageplaza/magento-2-seo-extension
php bin/magento setup:upgrade
```

### Install Package from copy-paste package

Download the latest version at [Mageplaza SEO for Magento 2](https://www.mageplaza.com/magento-2-seo-extension/)
then follow [installation guide](https://www.mageplaza.com/install-magento-2-extension/)



## 4. Contribute to this SEO module

Feel free to **Fork** and contrinute to this module and create a pull request so we will merge your changes to `master` branch.

## 5. Magento SEO Services
We recommend SEO service from **Creare**

- Creare [https://www.creare.co.uk](https://www.creare.co.uk/?utm_source=mageplaza.com&utm_medium=link&utm_campaign=related-services)


## 6. SWEET MAGEPLAZA EXTENSIONS TO BRING YOU MORE MONEY

### [✓ One Step Checkout](https://www.mageplaza.com/magento-2-one-step-checkout-extension/?utm_source=github.com&utm_medium=link&utm_campaign=related-extension)

☞ ↑30% INCREASE CONVERSION RATE 

☞ ↓66% DECREASE ABANDONMENT CART

☞ ↓80% REDUCE CHECKOUT TIME

### [✓ Layered Navigation](https://www.mageplaza.com/magento-2-layered-navigation-extension/?utm_source=github.com&utm_medium=link&utm_campaign=related-extension)

☞ ↑84% USER'S FILTERING EXPERIENCE

☞ ↑25% CONVERSION RATE

☞ ↓67% SHOPPING TIME

### [✓ Frequently Bought Together](https://www.mageplaza.com/magento-2-frequently-bought-together/?utm_source=github.com&utm_medium=link&utm_campaign=related-extension)

☞ Amazon Product Recommendation Solution
 
☞ AJAX loading for better performance

☞ Support Custom Options and all product types


### [✓ Gift Card](https://www.mageplaza.com/magento-2-gift-card-extension/?utm_source=github.com&utm_medium=link&utm_campaign=related-extension)

☞ Physical, virtual or combined gift cards
 
☞ Different gift card values from prices

☞ Send cards via email, SMS, post office or messenger

### [✓ Who Bought This Also Bought](https://www.mageplaza.com/magento-2-who-bought-this-also-bought/?utm_source=github.com&utm_medium=link&utm_campaign=related-extension)

☞ Display on Product Page, Category Page, Shopping Cart page

☞ AJAX loading for better performance.

☞ Flexible layout and design.


### [✓ Social Login](https://www.mageplaza.com/magento-2-social-login-extension/?utm_source=github.com&utm_medium=link&utm_campaign=related-extension)

☞ Increase signup rate up-to 30%

☞ Supports 11 Types: Facebook, Google Plus, Twitter, Linkedin, Instagram, Yahoo, Github, Foursquare, VK, Live, Amazon

☞ Easy custom design fit with your store design

☞ [Social Login on Github](https://github.com/mageplaza/magento-2-social-login)



### [✓ Shop By Brand](https://www.mageplaza.com/magento-2-shop-by-brand/?utm_source=github.com&utm_medium=link&utm_campaign=related-extension)

☞ Fully Compatible with Layered Navigation

☞ Instant Search brands

☞ Import brands




### [✓ Affiliate](https://www.mageplaza.com/magento-2-affiliate-extension/?utm_source=github.com&utm_medium=link&utm_campaign=related-extension)

☞ Multiple Affiliate Campaigns

☞ Smart Referral Links

☞ Affiliate Report









## 7. Introduction

Improve your SEO for [Magento](https://magento.com/) site. Use Mageplaza SEO to automatically optimize your site for Search Engines.
Mageplaza SEO extension will automatically optimize and greatly improve the performance of your Magento-based store in Search Engines. Magento 2 is great SEO-ready out-of-the-box that is really good for SEO. However it still needs some craftiness to be improved in a few areas.

Mageplaza SEO extension will support a list of new useful tools and settings that help you have own all the technical optimization with automatically optimizing and inserting the meta tags and link elements that Google or other Search Engines like so much:


## Stop Duplicating Content

By automatically preventing the duplicate content problem, Mageplaza SEO extension will avoid your site from being affected badly to the search ranking or caused the traffic loss, and as a result, boost the SEO performance significantly.

![magento 2 seo duplicate content](https://i.imgur.com/BX2YeiW.jpg)


## Structured Data

Mageplaza SEO extension will add schema structured data to your Magento 2 store automatically without configuration to help Search engines display your web pages better and more attractive.

![magento 2 seo structured data](https://i.imgur.com/Diw8ydK.png)

## Meta-data template rules (Pro edition)

For the marketers, it’s critical to understand and use the metadata that helps to drive the customer from the search engines. With Mageplaza SEO extension, it’s completely a huge advantage that you can set mass and dynamic metadata information for products, categories, pages, layered navigation.

![seo meta data](https://i.imgur.com/NdobHxN.jpg)


## Hreflang tag (Ultimate edition)

You can easily to use the ‘Hreflang’ tags to tell the Search Engines which language you’re using in the specific page so when the visitors search in that language, your page will rank higher.

![seo hreflang tag](https://i.imgur.com/PNu5Td4.jpg)

## SEO checklist (Ultimate edition)

The smart list for a perfect performance! The SEO checklists can tell you what you haven’t done yet, what you should do or even warn you to make sure your SEO process is going the right way.

![seo checklist for magento 2](https://i.imgur.com/0StlqWM.jpg)

## Breadcrumbs
By enhancing the structure of the access link on the Search Engine Results Pages (SERPs), it’s easier for the search engines crawler to understand the site structure and as a result, your site ranking can increase significantly. The Breadcrumb will show the structure of link that customers access, particularly as “Home > Category > Product name”.

![seo breadcrumbs](http://i.imgur.com/4e0SDeU.jpg)

## HTML/XML Sitemaps (Pro edition)

While the XML sitemap is specifically written for the search engines spiders, the HTML one is primarily for users. Hence, creating those 2 sitemaps will help your site to be easier to understand for both search engines and the users.

## LINK ALTERNATE TAG

Easily to Provides a link to an alternate version of the site by adding the rel=”alternate”.


## CONFIGURING ROBOTS METADATA TAG

Make your site content to be easier readable by the search engines by adding options: Follow/Nofollow/Noindex for Products, Categories, CMS Pages.

## LAYERED NAVIGATION SUPPORTED

A huge advantage when you have Megaplaza SEO extension is that it’s fully supported by Layered Navigation to make the SEO performance even better.


## Full features of Magento 2 SEO

- Automatically avoid duplicate content			
- Advanced Structured Data			
- Better breadcrumbs			
- Custom Meta tags: title, description, keywords			
- Hreflang tag			
- Layered Navigation Support			
- Social Share			
- URL Friendly			
- Link Alternate Tag			
- Opptimize canonical tag, rich snippet, alternate			
- Set Meta Robot Tags (Follow/Nofollow/Noindex) for Product, Category, CMS Page			
- Enchanced XML Sitemap		
- HTML Sitemap		
- Exclude CMS pages in HTML Sitemap		
- Include custom links in HTML Sitemap		
- Exclude out-of-stock in HTML, XML Sitemap		
- Metadata template rules for products, categories, cms pages		
- SEO Checklist	
- Page Analysis	
- Cross-links	
- Easy to install			
- Open source 100%			
- Easy to configure			
- User-friendly interface			
- 1-year Support			
- Lifetime updates			
- 30 days guarantee money back			
- Fully compatible with Mageplaza extensions			
- Supports multiple stores			
- Supports multiple languages			


## Pricing table

![seo pricing](https://i.imgur.com/vCslUyy.png)



## 8. USER GUIDE


​### Magento 2 SEO Basic Settings

Firstly, we will familiar with the module via the list of the configuration. Login as Admin account, go to the path `Mageplaza > SEO > Settings`.


#### General Configuration


Open **General Configuration** section, you can see:

-   Add Nofollow meta in Search Result if you select "Yes" option
-   Add Nofollow meta in Product Gallery if you select "Yes" option
-   Setting Enable Sitelink Search Box to "Yes" means showing another
    search box that shows the more detailed search results on the
    destination site.

 In Stop words field, choose the language of the stop words to use. For example: if choose **en** (English), the stop words are *a the, of,
for, etc*.


#### Duplicate Content


Continue with the next session - **Duplicate Content**, there are some
configurations related to the duplicate content:

-   To manage your content better and restrict the duplication, please
    set "Yes" for Add Canonical URL Meta
-   In the Canonical points to https field, you can choose "Yes" or "No"
    option depending on whether you would prefer the https version of a
    page or not

![image](http://i.imgur.com/GiyZUa6.png)

#### Social Shares


**Social Shares** provides the working fields that support for the
better SEO on the social channels. Now expand that section and do the
following:

-   It is possible to show **Open Graph** that is a short description of
    your website whenever visitors publish on the social medias like
    Facebook, Google+, Pinterest and other social networks.

    If disable the open graph on the social network, please choose "No"
    to turn it off in Add Open Graph meta tags field

-   You can also add Twitter Card Meta tags when the visitors share your
    website on Twitter
-   Enter Pinterest Confirmation Code to verify your website. Follow the
    instruction
    [here](https://help.pinterest.com/en/articles/confirm-your-website#meta_tag)
-   Enter Google+ Publisher Page if you need

![image](https://i.imgur.com/n0HsKaJ.png)

#### Structured Data

Scroll down and expand the **Structured Data** section, you will:

-   Include Rich Snippet in the search results right after enabling the
    rich snippet in the configuration

    Rich Snippet may be review stars, an aggregate rating value, and
    vote count, etc.

-   Disable Product Structured Data by selecting "No" if your theme or
    module implements it's own product snippets.
-   Allow applying Organization Information that describes the results
    in detailed. Furthermore, you can custom that data via this
    [guide](https://mageplaza.freshdesk.com/support/solutions/articles/6000122360).

![image](https://i.imgur.com/zqBgZjN.png)

#### Social Profiles

Mageplaza SEO extension permits to show **Social Profiles** when your
website is searched on Google.

![image](https://i.imgur.com/N6IRXwm.png)

#### Business information

You can enable **Business Information** if choosing "Yes". Just enter
the information into the corresponding fields, then all of them will be
shown in the search result.

![image](https://i.imgur.com/xez4HkD.png)

#### Breadcrumbs

Enabling Breadcrumbs is the way to show the exact position in the site
hierarchy, for example:
`www.mageplaza.com > Magento 2 Extensions > Better SEO`. If you really
want to apply for your product page, under **Breadcrumbs** section,
please select "Yes" in the Enable Breadcrumbs Rich Snippet field.

![image](https://i.imgur.com/QtvrkWY.png)

#### Verifications

In the Verification field, you need to enter the verification code to
confirm the ownership of your site. Hence, you can use the Web services
such as Google Search Console, Bing Webmaster Tools, Pinterest and
Yandex Webmaster Tools.

![image](https://i.imgur.com/NRvUOEP.png)





## 9. CHANGELOG


### SEO v1.4.1
Released on  2017-06-12
Release notes: 

- Optimize Structured Data ld-json
- Optimize Social share Open graph (Google+ and Pinterest) and twitter card
- Fixed Breadcrumbs issue
- Fixed canonical link issue



### SEO v1.4.0
Released on  2017-05-23
Release notes: 

- Released Seo Crosslinks
- Fixed minor bugs



### SEO v1.3.1
Released on  2017-05-23
Release notes: 

- Fixed issue on bundle products
- Fixed Remove inject object in Search and Catalog block
- Optimize config object
- Optimize Search Nofollow



### SEO v1.3.0
Released on  2017-04-24
Release notes: 

**SEO Core , Sitemap**

* Exclude CMS pages in HTML Sitemap
+ Include custom links in HTML Sitemap
* Opt to exclude out-of-stock in HTML, XML Sitemap
* Optimize canonical tag, rich snippet, hrefLang, alternate

**Rule templates**

+ Compatible with Layered Navigation
+ Add Mageplaza_Blog posts meta data template
+ Optimize template rule products, categories, CMS pages.
+ Preview rule template




### SEO v1.2.2
Released on  2017-04-24
Release notes: 

- Edit composer.json to require mageplazamodule-core instead of mageplazacore-m2



### SEO v1.2.1
Released on  2017-04-09
Release notes: 

- Fix composer issue



### SEO v1.2.0
Released on  2017-04-09
Release notes: 

**Features**

+ Add Verification configuration
+ Add Stop words feature
+ Hreflang tags feature

**Bug fixes**

- Performance optimization
- Group SEO menu
- Optimize Configuration options




### SEO v1.1.4
Released on  2016-11-23
Release notes: 

- Fix Upgrade issue




### SEO v1.1.2
Released on  2016-11-22
Release notes: 

- Improve Robots meta tags categories, products, cms pages




### SEO v1.1.1
Released on  2016-10-20
Release notes: 

- add HTML Sitemap features




### SEO v1.1.0
Released on  2016-10-20
Release notes: 

## Improvement
- Optimize code and performance
- Comment code

## Features
- Add config Disable URL parameter in canonical URL

## Bug fixing
- Fix bug canonical url




### SEO v1.0.2
Released on  2016-08-09
Release notes: 

- Compatible Magento 2.1
- Fix bug Dependency 
- Fix JSONLD broken tags
- Optimize Review rating value




### SEO v1.0.1
Released on  2016-07-20
Release notes: 

- Add composer and packagist.org



### SEO v1.0.0-beta
Released on  2016-04-23
Release notes: 

- Release first version







## Mageplaza extensions on Magento Marketplace, Github


☞ [Magento 2 One Step Checkout extension](https://marketplace.magento.com/mageplaza-magento-2-one-step-checkout-extension.html)

☞ [Magento 2 SEO Module](https://marketplace.magento.com/mageplaza-magento-2-seo-extension.html)

☞ [Magento 2 Blog extension](https://marketplace.magento.com/mageplaza-magento-2-blog-extension.html)

☞ [Magento 2 Layered Navigation extension](https://marketplace.magento.com/mageplaza-layered-navigation-m2.html)

☞ [Magento One Step Checkout](https://github.com/magento-2/one-step-checkout)

☞ [Magento 2 Blog on Github](https://github.com/mageplaza/magento-2-blog)

☞ [Magento 2 Social Login on Github](https://github.com/mageplaza/magento-2-social-login)

☞ [Magento 2 SEO on Github](https://github.com/mageplaza/magento-2-seo)

☞ [Magento 2 SMTP on Github](https://github.com/mageplaza/magento-2-smtp)

☞ [Magento 2 Product Slider on Github](https://github.com/mageplaza/magento-2-product-slider)

☞ [Magento 2 Banner on Github](https://github.com/mageplaza/magento-2-banner-slider)




